Catalog Packagist
Back to packageRELEASE DETAILS

4.01.3

Packagist

abmmhasan/otp

Simple & Secure Generic OTP, OCRA (RFC6287), TOTP (RFC6238) & HOTP (RFC4226) solution!

email-otphmachotpocraotprfc4226rfc6238rfc6287shasms-otptotpaotpgrid-otpmobile-otppasskeywebauthn
Published3 Aug 2024
Direct dependencies9
Transitive dependenciesNot calculated

Downloads & popularity

Awaiting observations

No metric observations yet

Download counts and popularity will appear here as the collector receives them.

Declared dependencies 9

Native requirements
9 direct targetsNot calculated transitive count
Package / targetRequirementRelationship
php
Environment
{
  "target_kind": "platform",
  "provide_replace": "preserved_as_assertions_not_requirements"
}
>=8.2runtime
bacon/bacon-qr-code
Environment
{
  "target_kind": "package_or_virtual",
  "provide_replace": "preserved_as_assertions_not_requirements"
}
^3.0runtime
paragonie/constant_time_encoding
Environment
{
  "target_kind": "package_or_virtual",
  "provide_replace": "preserved_as_assertions_not_requirements"
}
^3.0runtime
symfony/cache
Environment
{
  "target_kind": "package_or_virtual",
  "provide_replace": "preserved_as_assertions_not_requirements"
}
^7.0runtime
captainhook/captainhook
Environment
{
  "target_kind": "package_or_virtual",
  "provide_replace": "preserved_as_assertions_not_requirements"
}
^5.23development
laravel/pint
Environment
{
  "target_kind": "package_or_virtual",
  "provide_replace": "preserved_as_assertions_not_requirements"
}
^1.15development
pestphp/pest
Environment
{
  "target_kind": "package_or_virtual",
  "provide_replace": "preserved_as_assertions_not_requirements"
}
^2.34development
rector/rector
Environment
{
  "target_kind": "package_or_virtual",
  "provide_replace": "preserved_as_assertions_not_requirements"
}
^1.0development
symfony/var-dumper
Environment
{
  "target_kind": "package_or_virtual",
  "provide_replace": "preserved_as_assertions_not_requirements"
}
^7.0development

Distribution files

1 collected

Repository

PENDING
infocyph/otp

Shared repository data · GitHub

License detected in repository
Not collected

Metadata history

Meaningful changes
Current collected state Current

Observed since 20 Oct, 20:29 UTC

No superseded metadata states collected. Unchanged observations do not create new revisions.

Record identity

package_version:fd2d650e2edb44f782b7dbfb8b9575c03683dc3b0204ac2498e565f05e33358b

Other collected versions

7.03 Oct6.17 Sept6.014 Aug5.0419 Jul5.03.118 Jul5.0323 MayView all collected versions →